summaryrefslogtreecommitdiffstats
path: root/graphics/GraphicsMagick/GraphicsMagick.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/GraphicsMagick/GraphicsMagick.SlackBuild')
-rw-r--r--graphics/GraphicsMagick/GraphicsMagick.SlackBuild28
1 files changed, 15 insertions, 13 deletions
diff --git a/graphics/GraphicsMagick/GraphicsMagick.SlackBuild b/graphics/GraphicsMagick/GraphicsMagick.SlackBuild
index 377a02a1f7..cac6bcf307 100644
--- a/graphics/GraphicsMagick/GraphicsMagick.SlackBuild
+++ b/graphics/GraphicsMagick/GraphicsMagick.SlackBuild
@@ -4,10 +4,14 @@
# Originally written by Giovanne Castro <email removed>.
-# Updated by B. Watson <yalhcru@gmail.com>, as the original author is
+# Updated by B. Watson <urchlay@slackware.uk>, as the original author is
# MIA. Original version had no license; I'm licensing the update under the
# terms of the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+# 20231108 bkw: update for v1.3.42.
+# 20230710 bkw: update for v1.3.40.
+# 20230105 bkw: update for v1.3.39, using sourceforge link again.
+# 20210910 bkw: update for v1.3.36.
# 20201019 bkw: update for v1.3.35.
# 20200111 bkw: update for v1.3.34, quit using sourceforge dl link.
# 20191130 bkw: update for v1.3.33.
@@ -44,7 +48,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=GraphicsMagick
-VERSION=${VERSION:-1.3.35}
+VERSION=${VERSION:-1.3.42}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -57,9 +61,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -106,7 +107,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
@@ -230,20 +231,21 @@ if [ "${TCL:-yes}" = "yes" ]; then
WITHTCL=WITH
cd -
- rename .la_renamed .la $PKG/usr/lib$LIBDIRSUFFIX/*.la_renamed
fi
### Done with tcl module
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+gzip -9 $PKG/usr/man/man*/*
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+rm -f $PKG/usr/lib*/*.la* $PKG/usr/lib*/Tcl*/*.la
+
+find $PKG/usr/lib* $PKG/usr/bin -type f -print0 | \
+ xargs -0 file -m /etc/file/magic/elf | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
find $PKG -name perllocal.pod \
-o -name ".packlist" \
- -o -name "*.bs" \
- | xargs rm -f
+ -o -name "*.bs" | \
+ xargs rm -rf || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a ChangeLog *.txt $PKG/usr/doc/$PRGNAM-$VERSION